Skip to content
ShaireDevelopers

lists

6 endpoints.

get/api/lists#

Request
curl https://api.shairelabs.com/api/lists \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · List[]

idstring · uuid*
workspaceIdstring · uuid*
folderIdstring · uuid*
namestring*
positionstring*
privateboolean*
glyphstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

post/api/lists#

Body

namestring*
min length 1 · max length 120
folderIdstring · uuid*
afterIdstring · uuid | null
Request
curl https://api.shairelabs.com/api/lists \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","folderId":"00000000-0000-0000-0000-000000000000"}'

Response · 201 · ListDetail

idstring · uuid*
workspaceIdstring · uuid*
folderIdstring · uuid*
namestring*
positionstring*
privateboolean*
glyphstring | null*
createdAtstring*
statusGroupIdstring · uuid*
statusesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*
customFieldsobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid*
namestring*
typestring*
textnumberdateurlselectusercheckbox
optionsobject[]*
[item]object
idstring · uuid*
namestring*
huestring*
redorangeamberlimegreentealcyanblueindigovioletfuchsiapinkbrownolivemauvezinc
positionstring*
createdAtstring*
updatedAtstring*
tagsobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
namestring*
huestring*
redorangeamberlimegreentealcyanblueindigovioletfuchsiapinkbrownolivemauvezinc
tagGroupIdstring · uuid | null*

Also answers 401 and 403. SeeErrors.

get/api/lists/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/lists/$LIST_ID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · ListDetail

idstring · uuid*
workspaceIdstring · uuid*
folderIdstring · uuid*
namestring*
positionstring*
privateboolean*
glyphstring | null*
createdAtstring*
statusGroupIdstring · uuid*
statusesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
statusGroupIdstring · uuid*
namestring*
systemicStatestring*
openin_progressdonecanceled
colorstring*
positionstring*
deniedFrom(string · uuid)[]*
entryGuardsstring[]*
customFieldsobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid*
namestring*
typestring*
textnumberdateurlselectusercheckbox
optionsobject[]*
[item]object
idstring · uuid*
namestring*
huestring*
redorangeamberlimegreentealcyanblueindigovioletfuchsiapinkbrownolivemauvezinc
positionstring*
createdAtstring*
updatedAtstring*
tagsobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
namestring*
huestring*
redorangeamberlimegreentealcyanblueindigovioletfuchsiapinkbrownolivemauvezinc
tagGroupIdstring · uuid | null*

Also answers 401 and 403. SeeErrors.

patch/api/lists/{id}#

Path

idstring*

Body

namestring
min length 1 · max length 120
glyphstring | null
clipboard-listflagkanbanlayout-listlist-checksmilestonetabletargetbriefcasebuildingchart-barchart-piehandshakepresentationtrending-upusersbugcloudcodecpudatabasegit-branchserverterminalhammerkeylockpackageplugsettingsshieldwrenchbrushcameraimagelayersmusicpalettepen-toolvideobellinboxmailmegaphonemessage-squaremicphonesendawardcredit-carddollar-signgiftreceiptshopping-carttrophytruckbook-opengraduation-capheartlightbulbrocketsparklesstarzap
Request
curl https://api.shairelabs.com/api/lists/$LIST_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · List

idstring · uuid*
workspaceIdstring · uuid*
folderIdstring · uuid*
namestring*
positionstring*
privateboolean*
glyphstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

post/api/lists/{id}/move#

Path

idstring*

Body

folderIdstring · uuid*
afterIdstring · uuid | null
Request
curl https://api.shairelabs.com/api/lists/$LIST_ID/move \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"folderId":"00000000-0000-0000-0000-000000000000"}'

Response · 200 · List

idstring · uuid*
workspaceIdstring · uuid*
folderIdstring · uuid*
namestring*
positionstring*
privateboolean*
glyphstring | null*
createdAtstring*

Also answers 401 and 403. SeeErrors.

get/api/lists/{listId}/fields#

Path

listIdstring*
Request
curl https://api.shairelabs.com/api/lists/$LIST_LISTID/fields \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · CustomField[]

idstring · uuid*
workspaceIdstring · uuid*
listIdstring · uuid*
namestring*
typestring*
textnumberdateurlselectusercheckbox
optionsobject[]*
[item]object
idstring · uuid*
namestring*
huestring*
redorangeamberlimegreentealcyanblueindigovioletfuchsiapinkbrownolivemauvezinc
positionstring*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.